.ingreso{
    font-size: 4rem;
    display: flex;
    align-items: center;
    width: 100%;
    height: 9rem; 
    text-align: center; 
    margin-top: 5rem;
    justify-content: center;
}

.formulario{
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: rgb(177, 171, 171);
    align-items: center;
    font-size: 3rem;
    border-radius: 10rem;
}
.label{
    background-color:rgb(177, 171, 171);
    font-size: 4.5rem;
    display: flex;
    flex-direction: row;
    justify-items: center;
    justify-content: center;
    border-radius: 10rem;
    margin-top: 5rem;
    text-align: center;
    text-shadow: 2rem;
}
.dato{
    margin-left: 2rem;
    font-size: 3.5rem;
    border-radius: 10rem;
    text-align: center;
    border-color: rgb(79, 139, 19);

}
.boton {
    width: 50rem;
    display: flex;
    flex-direction: column;
    gap: 5rem;
    align-items: center;
    justify-content: center;
    margin-left: 20rem;
    margin-bottom: 3rem;
} 

.boton__boton-texto {
    position: relative;
    width: 22rem;   
    height: 7rem;   
    text-align: center;
    border-radius: 10rem;
    cursor: pointer;
    font-weight: 600;
    color: white;
    background-color: #6cbffc;
    outline: none;
    border: solid #6cbffc;
    overflow: hidden;  /*Asegúrate de que el contenido no se desborde */
}

/* Efecto imagen */
.boton__boton-texto::before {
    content: ""; /* Cambiado a vacío */
    background-image: url("imagenes/cartel.jpg"); /* Usar background-image */
    background-size: cover; /* Asegúrate de que la imagen cubra el área */
    background-position: center; /* Centra la imagen */
    position: absolute;
    top: 0;
    left: 0; /* Asegúrate de que esté alineado a la izquierda */
    width: 100%;
    height: 100%;
    transform: translateY(7rem);
    transition: all 300ms linear;
   
}

.boton__boton-texto:hover::before {
    transform: translateY(0);
}


